Create Secret Manager Token

API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

POST
/security/integration-tokens

Create and validate a Doppler, Infisical, or Vault integration token.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

provider*string
Value in"doppler" | "infisical" | "vault"
name*string
token*string
metadata?object

Response Body

application/json

application/json

application/json

curl -X POST "https://app.coolify.io/api/v1/security/integration-tokens" \  -H "Content-Type: application/json" \  -d '{    "provider": "doppler",    "name": "string",    "token": "string"  }'
Empty
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}